 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        albumArr     : [],  //商品轮播图
        experienceId : '',  //活动id
        signDayNumber: '',  //累计打卡天数-携带
        etciData     : '',  //打卡心得
        bidData      : '',   //产品建议
        refertoStatus: false,//打卡成功弹出
        signDayNumber: '',   //累计打卡天数-最新
        signWaterNumber: '  '//累计打卡水滴
    },

    /**
     * 生命周期函数--监听页面加载
     */
    // 个人使用喷雾主要还是以清洁、舒爽为目的,洗脸之后喷上一层喷雾,稍微呆上30s,心理上的幸福感高于它的功能,如果想要利用喷雾来明显改善皮肤状态,要持续使用
    // 保湿喷雾最基本的就是一定要安全、健康,通常保湿喷雾会在国家药监局有备案。若是不确定是否成分安全健康,大家可以登录国家药监局官网查询备案。

    onLoad(options) {
        this.setData({
            experienceId : options.experienceId,
            signDayNumber: Number(options.signDayNumber) + 1
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 上传商品封面图片
     */
    addAlbum(){
        let count = 9 - this.data.albumArr.length
        wx.chooseImage({
            count   : count,
            
            success : res=>{
                // 上传图片
                if (res.tempFilePaths){
                    let pathArr = res.tempFilePaths
                    for (let i = 0; i < pathArr.length; i++){
                        wx.$api.file.uploadImg(pathArr[i], {}).then(res=>{
                            wx.showLoading({
                                title: '上传中',
                            })
                            
                            let albumArr = this.data.albumArr
                            albumArr.push({
                                path: res.path,
                                showpath: res.url
                            })
                            this.setData({
                                albumArr
                            })

                            wx.hideLoading()
                        })

                        if (i == pathArr.length - 1) {
                            wx.hideLoading()
                        }
                    }
                }else{
                    wx.showToast({
                        title: '上传图片失败',
                        icon : 'none'
                    })
                }
            }
        })
    },

    /**
     * 删除商品封面图片
     */
    removeAlbum(e){
        wx.showLoading({
            title: '加载中'
        })
        let index   = e.currentTarget.dataset.index,
            atalbum = this.data.albumArr

        wx.showToast({
            title: '删除成功',
            icon : 'none'
        })
        atalbum.splice(index,1)
        this.setData({
            albumArr : atalbum
        })
    },

    /**
     * 心得
     */
    etcinput(e) {
        this.setData({
            etciData: e.detail.value
        })
    },

    /**
     * 产品建议
     */
    bidinput(e) {
        this.setData({
            bidData: e.detail.value
        })
    },

    /**
     * 签到提交
    */
    tapSign() {
        let newPictures = []
        for (let pictures of this.data.albumArr){
            newPictures.push(pictures.path)
        }

        wx.$api.recruit.signLabor({
            experience_id : this.data.experienceId,	
            describe      : this.data.etciData,		
            images	      : newPictures,	
            suggest	      : this.data.bidData
        }).then(res => {
            this.setData({
                refertoStatus: true,
                signDayNumber: res.data.signDayNumber,
                signWaterNumber: res.data.signWaterNumber
            })
        }).catch(err => {})
    },
})